Index: /altifloat/doc/ocean_modelling/Draft1.tex
===================================================================
--- /altifloat/doc/ocean_modelling/Draft1.tex	(revision 186)
+++ /altifloat/doc/ocean_modelling/Draft1.tex	(revision 187)
@@ -477,5 +477,13 @@
 
 Three drifters were launched on August 28 2013 from the South of Beirut, at the positions shown in circles in In Fig.~\ref{fig:leb1}, they provide their position very $\Delta t= 6$ hs and stay within 20 km of the coast for the duration of the experiment. 
-The experiment considered here lasts for six days (a time frame where the three drifters are still spatially close before two of them hit the shore). The window size is $T_w=24$ hs. The smoothing parameter $\sigma=6$ hs. Fig.~\ref{fig:leb1}, shows the trajectories simulated with corrected field on top of the observed ones, in good agreement. Also compares the averaged corrected field with the background one. 
+The experiment considered here lasts for six days (a time frame where the three drifters are still spatially close before two of them hit the shore). The window size is $T_w=24$ hs. The smoothing parameter $\sigma=6$ hs. 
+Fig.~\ref{fig:leb1}, shows the trajectories simulated with corrected field on top of the observed ones, 
+in good agreement, even for small scale structures near the coast.
+
+As expected, the velocity field is modified in the neighbourhood of the drifters trajectories. It can be noticed that the main effect of the correction is to increase the velocity parallel to the coast, and decrease the velocity normal to the coast. The backgroung field was determined using altimetric data and is expected to have significant bias close to the coast~\citep{bouffard2008}, and the consequence is the corrected is able to correct some of these bias.
+
+To validate more quantitatively the corrected velocities, another sensitivity study were considered. Only two drifters (the easternmost magenta drifter and the westernmost black drifter) were assimilated in order to correct the velocity field. The third drifter is used only to validate the corrected field by comparing its actual trajectory with the simulated trajectory using the velocity field.
+
+Figure~\ref{fig:lebzoom} shows the results of this experiment. The real difter trajectory (empty circle with thin line) was compared to the simulated trajectory using either the background field (bold cyan line) or the corrected field (bold green line). It can be noticed that the trajectory was greatly improved using the corrected field. It shows that the corrected field can be used to simulate realistic trajectories in the neighbourhood of the assimilation positions, even in a coastal region. It can be a decisive point for application such as pollutant transport estimation.
 
 
@@ -485,5 +493,5 @@
 \includegraphics[scale=0.5]{./fig/ReconstructedCNRSExp_6days_average.pdf}
 \vspace{-30mm}
-\caption{\label{fig:leb1} Prediction of the positions of 3 CNRS Drifters, launched on August 28 2013. $T_f=6$ days.  $T_w=24$ hs and $\sigma=6$ hs. Positions of drifters simulated with corrected field are shown on top of observed positions. Corrected field is shown in red whereas background field is shown in blue. }
+\caption{\label{fig:leb1} Prediction of the positions of 3 CNRS Drifters, launched on August 28 2013. $T_f=6$ days.  $T_w=24$ hs and $\sigma=6$ hs. Positions of drifters simulated with corrected field (cross markers) are shown on top of observed positions (circle markers). Corrected field is shown in red whereas background field is shown in blue. }
 \end{center}
 
@@ -519,5 +527,4 @@
 \caption{\label{fig:eddy-velocity} Corrected surface velocity field (in red) compared to AVISO background field (in blue). The assimilated drifter trajectories are represented in gray. The North-West coast in the figure is Cyprus.}
 \end{figure}
-
 
 In this case, it can be seen that the drifter trajectories were situated in an eddy. The AVISO field is produced by an interpolation method which tends to overestimate the spatial extent of the eddy and underestimate the intensity. In order to estimate the effect of the assimilation on the eddy characterics, we computed the Okubo-Weiss parameter~\citep{isern2004} on the mean velocity fields before correction (background) and after correction. Eddies are characterized by a negative Okubo-Weiss parameter, the value of the parameter is an indicator of the intensity of the eddy. Results are shown in Fig.~\ref{fig:okubo-weiss}. As exected, it can be noticed that the Okubo-Weiss parameter had greater absolute values and a slighlty smaller spatial extent which indicated a improvement of the Aviso processing bias. This results constitutes a validation of the assimilation method presented in this paper showing that eddies were better resolved after assimilating drifter trajectories.
Index: /altifloat/doc/ocean_modelling/mybib.bib
===================================================================
--- /altifloat/doc/ocean_modelling/mybib.bib	(revision 186)
+++ /altifloat/doc/ocean_modelling/mybib.bib	(revision 187)
@@ -14,7 +14,8 @@
   booktitle={Annales Geophysicae},
   volume={21},
-  number={1},
-  pages={221--236},
-  year={2003}
+ pages={221--236},
+  year={2003},
+OPTnumber={1},
+ 
 }
 
@@ -44,2 +45,12 @@
   publisher={Elsevier}
 }
+
+@article{bouffard2008,
+  title={Exploiting the potential of an improved multimission altimetric data set over the coastal ocean},
+  author={Bouffard, J{\'e}r{\^o}me and Vignudelli, S and Cipollini, P and Menard, Yves},
+  journal={Geophysical Research Letters},
+  volume={35},
+  number={10},
+  year={2008},
+  publisher={Wiley Online Library}
+}