Index: /altifloat/doc/ocean_modelling/Draft1.tex
===================================================================
--- /altifloat/doc/ocean_modelling/Draft1.tex	(revision 199)
+++ /altifloat/doc/ocean_modelling/Draft1.tex	(revision 200)
@@ -121,6 +121,8 @@
 
 \begin{abstract}
-We present a new and fast method for blending surface drifters data and altimetry in the Eastern Levantine Mediterranean. The method is based on a variational assimilation approach where the velocity is corrected after drifters data are matched to a simple advection model for their positions, taking into account the effect of the wind. The velocity correction is done in a time-continuous fashion by assimilating at once a whole trajectory of drifters in a time window, and by moving that window to exploit correlations between observations. We show that with few drifters, our method improves the estimation of an eddy between the Lebanese coast and Cyprus, and predicts real drifters trajectories along the Lebanese coast. 
-
+We present a new and fast method for blending altimetry and surface drifters data in the Eastern Levantine Mediterranean. The method is based on a variational assimilation approach for which the velocity is corrected 
+by matching real drifters positions with a simple advection model simulation,
+%after drifters data are matched to a simple advection model for their positions, 
+taking into account the effect of the wind. The velocity correction is done in a time-continuous fashion by assimilating at once a whole trajectory of drifters in a time window, and by moving that window to exploit correlations between observations. We show that with few drifters, our method improves the estimation of velocity in two typical situations : an eddy between the Lebanese coast and Cyprus, and velocities along the Lebanese coast. 
 \end{abstract}
 
@@ -144,5 +146,5 @@
 An accurate estimation of mesoscale to sub-mesoscale surface dynamics of the ocean is critical in several applications in the Eastern Levantine Mediterranean basin. For instance, this estimation can be used in the study of pollutant dispersion, which is important in this heavily populated region. A good knowledge of the surface velocity field is challenging, especially when direct observations are relatively sparse.
 
-Altimetry has been widely used to predict the mesoscale features of the ocean resolving typically lengths on the order of $100$ km \citep{chelton2007global}. There are however limitations to its usage. It is inaccurate in resolving short temporal and spatial scales of some physical processes, like eddies, which results in blurring these structures. Further errors and inaccuracies occur near the coastal areas (within 20-50 km from land),
+Altimetry has been widely used to predict the mesoscale features of the ocean resolving typically lengths on the order of $100$ km \citep{chelton2007global}. There are, however, limitations to its usage. It is inaccurate in resolving short temporal and spatial scales of some physical processes, like eddies, which results in blurring these structures. Further errors and inaccuracies occur near the coastal areas (within 20-50 km from land),
 where satellite information is degraded; this is due to various factors such as land contamination, inaccurate tidal and geophysical
 corrections and incorrect removal
@@ -217,10 +219,10 @@
 All the data detailed in this section were extracted for two target period : first from 25 August 2009 to 3 September 2009, and second from 28 August 2013 to 4 September 2013.
 \subsection {\label{sec:aviso}Altimetry data}
-Geostrophic surface velocity fields used as a background in the study were produced by Ssalt/\textit{Duacs} and distributed by \textit{Aviso}. Altimetric mission used were  Saral, Cryosat-2, Jason-1\&2. The geostrophic absolute velocity fields were deduced from Maps of Absolute Dynamic Topography (MADT) using the regional Mediterranean Sea product.
+Geostrophic surface velocity fields used as a background in the study were produced by Ssalt/\textit{Duacs} and distributed by \textit{Aviso}. Altimetric mission used were  Saral, Cryosat-2, Jason-1\&2. The geostrophic absolute velocity fields were deduced from Maps of Absolute Dynamic Topography (MADT) using the regional Mediterranean Sea product~\footnote{www.aviso.altimetry.fr}.
 
 Data were mapped daily at a resolution of 1/8$^o$. Data were linearly interpolated every hour at the advection model time step.
 
 \subsection{\label{sec:drifters}Drifters data}
-Drifters were deployed at the two target periods (2 drifters were selected for the first period in 2009 and 3 in the second period in 2013). Table~\ref{tab:drifters} present a summary of the 5 drifters used in this study. Drifter models were SVP with a drog at a depth of 15m. Drifter positions were filtered with a low-pass filter in order to remove high-frequency current component especially inertial currents. The final time series were sampled every 6h. A more complete description of the drifters and the data processing procedure can be found in~\citet{poulain2009}.
+Drifters were deployed during two target periods, 2 drifters were selected for the first period in 2009 and 3 in the second period in 2013. Table~\ref{tab:drifters} presents a summary of the 5 drifters used in this study. Drifter models were SVP with a drogue at a depth of 15m. Drifter positions were filtered with a low-pass filter in order to remove high-frequency current component especially inertial currents. The final time series were obtained by sampling every 6h. A more complete description of the drifters and the data processing procedure can be found in~\citet{poulain2009}.
 \begin{table}
 \centering
@@ -249,5 +251,5 @@
 
 Wind velocities were used to estimate wind-driven effect on drifter velocity.
-The eulerian velocity field being used to estimate drifter successive positions is the sum of the geostrophic velocity and the wind induced velocity given by the formula~\citep{poulain2009}:
+The Eulerian velocity field being in the advection model(Eq.~\ref{advection}) is the sum of the geostrophic velocity and the wind induced velocity (Eq.~\ref{euler_vel}) given by the formula~\citep{poulain2009}:
 \begin{equation}
 \mathbf{U_{wind}} = 0.01exp(-28^oi)\times \mathbf{U_{10}}
@@ -256,7 +258,10 @@
 
 \subsection {Model data}
-Model data of surface velocity fields were used to calibrate the assimilation method presented in section~\ref{sec:method}. The model selected was the CYCOFOS-CYCOM high resolution model~\citep{zodiatis2003} that covers the North-East Levantin Bassin 
-(31$^o$ 30âE - 36$^o$ 13âE  and 33$^o$ 30âN â 36$^o$ 55âN). The model forecast were used without assimilation and were reinteroplated on a 1.8$^o$ grid point with an time step of one hour. The model forecast used for calibration purpose on September 2013.
-%Wind + Dan
+Modeled surface velocity fields for September 2013 were used to calibrate the assimilation method presented in section~\ref{sec:method}. The model selected was the CYCOFOS-CYCOM high resolution model~\citep{zodiatis2003,zodiatis2008} that covers 
+northeast Levantine basin (1km resolution, west and south boundaries extended to 31$^o$00'E and 33$^o$00'N and north and east reach land).
+%the North-East Levantin Bassin 
+%(31$^o$ 30âE - 36$^o$ 13âE  and 33$^o$ 30âN â 36$^o$ 55âN). 
+The model forecasts were used without assimilation and were reinteroplated on a 1.8$^o$ grid point with an time step of one hour.
+% The model forecast used for calibration purpose on September 2013.
 
 
@@ -328,6 +333,7 @@
 
 The background velocity used in the advection of the drifters is the aggregate of a geostrophic component $\bo{u}_{geo}$ provided by altimetry and a component driven by the wind $\bo{u}_{wind}$, which is parametrised by two parameters as described in Section 2.3 \citep{poulain2009}. So we have  
-\[\bo{u}^b=\bo{u}_{geo}+\bo{u}_{wind}
-\]
+\begin{equation}\label{euler_vel}
+\bo{u}^b=\bo{u}_{geo}+\bo{u}_{wind}
+\end{equation}
 The data for both velocities are provided daily as described in the Data Section. This means that an interpolation in time of these velocities is needed.
 
@@ -359,8 +365,7 @@
 
 We end this section by pointing out that we implement the algorithm described above in YAO~\citep{badran2008},
-a numerical tool very well adapted to variational assimilation problems that simplifies the computation and implementation of the adjoint needed in the optimisation. \textcolor{red}{Give CPU time}
-
-
-
+a numerical tool very well adapted to variational assimilation problems that simplifies the computation and implementation of the adjoint needed in the optimisation. 
+
+The solution was found by using the M1QN3 minimizer linked with the YAO tool. The convergence of the assimilation on a typical time window of 24h is made 20 seconds on a sequential code compiled on a CPU Intel(R) Core(TM) at 3.40GHz.
 
 
@@ -482,5 +487,5 @@
 \subsection{\label{sec:lebanon}Improvement of velocity field near the coast}
 
-Three drifters were launched on August 28 2013 from the South of Beirut, at the positions shown in circles in In Fig.~\ref{fig:leb1}, they provide their position very $\Delta t= 6$ h and stay within 20 km of the coast for the duration of the experiment. 
+Three drifters were launched on August 28 2013 from the South of Beirut, at the positions shown in circles in Fig.~\ref{fig:leb1}. They provide their position very $\Delta t= 6$ h and stay within 20 km of the coast for the duration of the experiment. 
 The experiment considered here lasts for six days (a time frame where the three drifters are still spatially close before two of them hit the shore). The window size is $T_w=24$ h. The smoothing parameter $\sigma=6$ h. 
 Fig.~\ref{fig:leb1}, shows the trajectories simulated with corrected field on top of the observed ones, 
@@ -488,7 +493,7 @@
 Average correction over 6 days are shown on the figure, but the actual corrections are time-dependent.
 
-As expected, the velocity field is modified in the neighbourhood of the drifters trajectories. It can be noticed that the main effect of the correction is to increase the velocity parallel to the coast, and decrease the velocity normal to the coast. The background field was determined using altimetric data and is expected to have significant bias close to the coast~\citep{bouffard2008}, and the consequence is that the corrected field is able to correct some of these bias.
-
-To validate more quantitatively the corrected velocities, another sensitivity study was considered. Only two drifters (the easternmost magenta drifter and the westernmost black drifter) were assimilated in order to correct the velocity field. The third drifter is used only to validate the corrected field by comparing its actual trajectory with the simulated trajectory using the velocity field.
+As expected, the velocity field is modified in the neighbourhood of the drifters trajectories. It can be noticed that the main effect of the correction is to increase the velocity parallel to the coast, and decrease the velocity normal to the coast. The background field was determined using altimetric data and is expected to have significant bias close to the coast~\citep{bouffard2008}, and the consequence is that the method is able to correct some of this bias.
+
+To validate more quantitatively the corrected velocities, sensitivity study was carried out. Only two drifters (the easternmost magenta drifter and the westernmost black drifter) were assimilated in order to correct the velocity field. The third drifter is used only to validate the corrected field by comparing its actual trajectory with the simulated trajectory using the velocity field.
 
 Figure~\ref{fig:lebzoom} shows the results of this experiment. The real drifter trajectory (empty circle with thin line) was compared to the simulated trajectory using either the background field (bold cyan line) or the corrected field (bold green line). 
@@ -524,5 +529,13 @@
 
 The real trajectory of the drifters and the simulated trajectory using the total corrected field (sum of corrected field in red and the wind-induced velocity) are very close. 
-The mean position error (expressed in arc length) is $8.6\times 10^{-3}$ degrees with a maximum of $0.06$ degrees. The real trajectory and simulated trajectory would be indiscernible in Fig.~\ref{fig:eddy-velocity}. 
+The mean position error 
+%(expressed in arc length) 
+is 
+0.96 km
+%$8.6\times 10^{-3}$ degrees 
+with a maximum of 
+%$0.06$ degrees. 
+6.7km.
+The real trajectory and simulated trajectory would be indiscernible in Fig.~\ref{fig:eddy-velocity}. 
 
 
@@ -543,4 +556,9 @@
 \end{figure}
 
+\section{Conclusion}
+We presented a simple and efficient algorithm to blend drifter lagrangian data with altimetry Eulerian velocities in the Eastern Levantine Mediterranean. The method has a cheap implementation and is quick to converge, so is is well fitted for near-real time applications. Assimilating two successive drifter positions produces a correction of the velocity field within a radius of 20km and for approximatively 24h before and after the measurement.
+
+This algorithm was able to correct some typical weakness of alimetry fields, in particular the estimation of velocity near the coast and accurate esimations of eddies dimensions and intensity.
+
 \section{Acknowledgement}
 The altimeter products were produced by Ssalto/Duacs and distributed by Aviso, with support from Cnes (http://www.aviso.altimetry.fr/duacs/).
@@ -549,7 +567,6 @@
 
 This work was funded by the ENVI-MED program in the framework of the Altifloat project.
-\textcolor{red}{Laurent, Pierre-Marie, Milad, des choses Ã  ajouter pour Cana et les drifters ?}
-
-
+
+ The Lebanese CNRS funded through "CANA project", the campaigns of drifters' deployment using the platform of the Lebanese research vessel "CANA-CNRS". These MetOcean Iridium drifters (SVP) were provided through the Istituto Nazionale di Oceanografia e di Feofisica Sperimentale (OGS), Italy and LOCEAN institute of "Pierre et Marie Curie University", France
 %% The Appendices part is started with the command \appendix;
 %% appendix sections are then done as normal sections
@@ -564,6 +581,6 @@
 \section{Bibliography}
 
-  \bibliographystyle{elsarticle-harv} 
-  \bibliography{mybib.bib}
+\bibliographystyle{elsarticle-harv} 
+\bibliography{mybib.bib}
 
 %% else use the following coding to input the bibitems directly in the
Index: /altifloat/doc/ocean_modelling/mybib.bib
===================================================================
--- /altifloat/doc/ocean_modelling/mybib.bib	(revision 199)
+++ /altifloat/doc/ocean_modelling/mybib.bib	(revision 200)
@@ -298,4 +298,13 @@
 	Volume = {26},
 	Year = {2009}}
+
+@article{zodiatis2008,
+  title={Operational ocean forecasting in the Eastern Mediterranean: implementation and evaluation},
+  author={Zodiatis, G and Lardner, R and Hayes, DR and Georgiou, G and Sofianos, S and Skliris, N and Lascaratos, A},
+  journal={Ocean Science},
+  volume={4},
+  pages={31--47},
+  year={2008}
+}
 
 @inproceedings{zodiatis2003,
@@ -351,2 +360,19 @@
 	Volume = {69},
 	Year = {2008}}
+
+
+
+@TechReport{altimetry2009,
+  author = 	 {Aviso},
+  title = 	 {SSALTO/DUACS user handbook:(M) SLA and (M) ADT near-real time and delayed time products},
+  institution =  {CNES},
+  year = 	 {2015},
+  key = 	 { CLS-DOS-NT-06-034},
+  OPTtype = 	 {},
+  OPTnumber = 	 {},
+  OPTaddress = 	 {},
+  OPTmonth = 	 {},
+  OPTnote = 	 {},
+  OPTannote = 	 {}
+}
+